Bug 10960 - smbclient -L //dns.domain.name fails
smbclient -L //dns.domain.name fails
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
Depends on:
  Show dependency treegraph
Reported: 2014-11-24 15:18 UTC by Andreas Schneider
Modified: 2014-12-07 19:28 UTC (History)
2 users (show)

See Also:

v4-2-test patch (858 bytes, patch)
2014-11-25 14:05 UTC, Andreas Schneider
jra: review+
v4-1-test patch (858 bytes, patch)
2014-11-25 14:07 UTC, Andreas Schneider
jra: review+

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2014-11-24 15:18:53 UTC
smbclient -L //dns.domain.name worked just fine in Samba 3.6 but it fails in 4.0 after listing the shares.

asn@samba:~/workspace/projects/samba/git> bin/smbclient -L //discworlddomain.discworld.site -Ujoe1%secret; echo "RETURN VALUE: $?"
Domain=[DISCWORLD] OS=[Windows Server 2008 R2 Enterprise 7601 Service Pack 1] Server=[Windows Server 2008 R2 Enterprise 6.1]

        Sharename       Type      Comment
        ---------       ----      -------
        ADMIN$          Disk      Remote Admin
        C$              Disk      Default share
        IPC$            IPC       Remote IPC
        NETLOGON        Disk      Logon server share 
        public          Disk      
        SYSVOL          Disk      Logon server share 
        test            Disk      
Connection to discworlddomain.discworld.site failed (Error NT_STATUS_RESOURCE_NAME_NOT_FOUND)
NetBIOS over TCP disabled -- no workgroup available
Comment 1 Andreas Schneider 2014-11-25 14:05:46 UTC
Created attachment 10456 [details]
v4-2-test patch
Comment 2 Andreas Schneider 2014-11-25 14:07:19 UTC
Created attachment 10458 [details]
v4-1-test patch
Comment 3 Jeremy Allison 2014-11-25 17:13:22 UTC
Comment on attachment 10456 [details]
v4-2-test patch

Comment 4 Jeremy Allison 2014-11-25 17:15:41 UTC
Comment on attachment 10458 [details]
v4-1-test patch

Comment 5 Jeremy Allison 2014-11-25 17:16:54 UTC
Re-assigning to Karolin for inclusion in 4.2.0, 4.1.next.
Comment 6 Karolin Seeger 2014-11-25 19:29:59 UTC
(In reply to Jeremy Allison from comment #5)
Pushed to autobuild-v4-2-test (v4-1-test is frozen currently).
Comment 7 Karolin Seeger 2014-12-03 20:12:41 UTC
Pushed to v4-2-test.
Pushed to autobuild-v4-1-test.
Comment 8 Karolin Seeger 2014-12-07 19:28:31 UTC
(In reply to Karolin Seeger from comment #7)
Pushed to v4-1-test.
Closing out bug report.